Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.pattern
Class NameTest

    java.lang.Object
      |
      +--com.icl.saxon.pattern.Pattern
            |
            +--com.icl.saxon.pattern.NodeTest
                  |
                  +--com.icl.saxon.pattern.NameTest

public class NameTest
extends NodeTest

NodeTest is an interface that enables a test of whether a node has a particular name and type. A NameTest matches the node type and the namespace URI and the local name.

Fields inherited from class com.icl.saxon.pattern.Pattern
`originalText, staticContext`

Constructor Summary
`NameTest(NodeInfo node)` Create a NameTest for nodes of the same type and name as a given node
`NameTest(short nodeType, int nameCode)`

Method Summary
`double` | `getDefaultPriority()` Determine the default priority of this node test when used on its own as a Pattern
`int` | `getFingerprint()` Get the fingerprint required
`short` | `getNodeType()` Determine the types of nodes to which this pattern applies.
`boolean` | `matches(NodeInfo node)` Test whether this node test is satisfied by a given node
`boolean` | `matches(short nodeType, int nameCode)` Test whether this node test is satisfied by a given node

Methods inherited from class com.icl.saxon.pattern.NodeTest
`matches`

Methods inherited from class com.icl.saxon.pattern.Pattern
`getLineNumber, getStaticContext, getSystemId, make, setOriginalText, setStaticContext, simplify, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameTest

    public NameTest(short nodeType,
                    int nameCode)

### NameTest

    public NameTest(NodeInfo node)

  Create a NameTest for nodes of the same type and name as a given node

Method Detail

### matches

    public final boolean matches(NodeInfo node)

  Test whether this node test is satisfied by a given node
  Overrides:
    `matches` in class `NodeTest`

### matches

    public boolean matches(short nodeType,
                           int nameCode)

  Test whether this node test is satisfied by a given node
  Overrides:
    `matches` in class `NodeTest`
  Parameters:
    `nodeType` - The type of node to be matched
    `fingerprint` - identifies the expanded name of the node to be matched

### getDefaultPriority

    public final double getDefaultPriority()

  Determine the default priority of this node test when used on its own as a Pattern
  Overrides:
    `getDefaultPriority` in class `Pattern`

### getFingerprint

    public int getFingerprint()

  Get the fingerprint required
  Overrides:
    `getFingerprint` in class `Pattern`
  Following copied from class: `com.icl.saxon.pattern.Pattern`
  Returns:
    A fingerprint that the nodes must match, or null Otherwise return null.

### getNodeType

    public short getNodeType()

  Determine the types of nodes to which this pattern applies. Used for optimisation. For patterns that match nodes of several types, return NodeInfo.NODE
  Overrides:
    `getNodeType` in class `Pattern`
  Returns:
    the type of node matched by this pattern. e.g. NodeInfo.ELEMENT or NodeInfo.TEXT

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD